/*
	Diese Klasse wird von der Klasse Function<2> (d.h. f: IR^2 -> IR) abgeleitet und muss
	daher die Methode 'value' implementieren.
*/

using namespace dealii;

class Right_Hand_Side : public Function<2>
{
	public:
		//Standardkonstruktor beinhaltet in seiner Initialisierungsliste den Ausruf des Super-Konstruktors
		Right_Hand_Side() : Function<2>(){};
	
		// 'virtual' entspricht dem abstract bei Java. D.h. es wird dynamisch entschieden, welche
		// 'value'-Methode aufgerufen wird, wenn man eine Instanz vom Typ Functiob<2> hat.
		virtual double value(const Point<2> &p, const unsigned int component = 0) const;
};
